Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl
Class NoConnectionReuseStrategy

    java.lang.Object
      org.apache.http.impl.NoConnectionReuseStrategy

All Implemented Interfaces:
  ConnectionReuseStrategy

    @Contract(threading=IMMUTABLE)
    public class NoConnectionReuseStrategy

extends Object
implements ConnectionReuseStrategy

A strategy that never re-uses a connection.

Since:
  4.0

Field Summary
`static NoConnectionReuseStrategy` | `INSTANCE`

Constructor Summary
`NoConnectionReuseStrategy()`

Method Summary
`boolean` | `keepAlive(HttpResponse response, HttpContext context)` Decides whether a connection can be kept open after a request.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final NoConnectionReuseStrategy INSTANCE

Constructor Detail

### NoConnectionReuseStrategy

    public NoConnectionReuseStrategy()

Method Detail

### keepAlive

    public boolean keepAlive(HttpResponse response,
                             HttpContext context)

  Description copied from interface: `ConnectionReuseStrategy`
  Decides whether a connection can be kept open after a request. If this method returns `false`, the caller MUST close the connection to correctly comply with the HTTP protocol. If it returns `true`, the caller SHOULD attempt to keep the connection open for reuse with another request.

  One can use the HTTP context to retrieve additional objects that may be relevant for the keep-alive strategy: the actual HTTP connection, the original HTTP request, target host if known, number of times the connection has been reused already and so on.

  If the connection is already closed, `false` is returned. The stale connection check MUST NOT be triggered by a connection reuse strategy.

  Specified by:
    `keepAlive` in interface `ConnectionReuseStrategy`
  Parameters:
    `response` - The last response received over that connection.
    `context` - the context in which the connection is being used.
  Returns:
    `true` if the connection is allowed to be reused, or `false` if it MUST NOT be reused

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.